/**
* Title: CrmBusinessGroup.java
* Description:
* @author dsc
* @date 2020年6月5日
* @version 1.0
*/
package cn.timer.api.bean.crm;

import java.util.Date;
import java.util.List;
import java.util.Map;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * Title: CrmBusinessGroup.java
 *
 * @Description:
 * @author dsc
 * @date 2020年6月5日
 * @version 1.0
 */

@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "crm_business_group")
@ApiModel("业务组表")
public class CrmBusinessGroup extends Model<CrmBusinessGroup> {

	private static final long serialVersionUID = -6502869518965155561L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;

	@ApiModelProperty(value = "公司内排序")
	private Integer sort;

	@ApiModelProperty(value = "业务组名称")
	private String name;

	@ApiModelProperty(value = "创建时间")
	@TableField(fill = FieldFill.INSERT)
	private Date createTime;

	@ApiModelProperty(value = "创建人")
	private Integer createUser;

	@ApiModelProperty(value = "修改时间")
	@TableField(fill = FieldFill.INSERT_UPDATE)
	private Date modifyTime;

	@ApiModelProperty(value = "修改人")
	private Integer modifyUser;

	@ApiModelProperty(value = "企业id")
	private Integer orgCode;

	@Transient
	@TableField(exist = false)
	@ApiModelProperty(value = "组管理员信息")
	private List<Map<String, Object>> managers;

	@Transient
	@TableField(exist = false)
	@ApiModelProperty(value = "组管理员id")
	private List<Integer> managerIds;

	@Transient
	@TableField(exist = false)
	@ApiModelProperty(value = "组管理员信息")
	private List<Map<String, Object>> members;

	@Transient
	@TableField(exist = false)
	@ApiModelProperty(value = "组成员id")
	private List<Integer> memberIds;

	@Transient
	@TableField(exist = false)
	@ApiModelProperty(value = "回收规则")
	private CrmSeaRule crmSeaRules;

//	@ApiModelProperty(value = "组成员empNum(字符串,分割)",example = "1,2,3")
//	private String member;
//
//	@ApiModelProperty(value = "组成员姓名")
//	private String memberName;

//	@ApiModelProperty(value = "业务组管理员empNum")
//	private Integer manager;
//
//	@ApiModelProperty(value = "业务组管理员名称")
//	private String managerName;
}
