/**
* Title: CrmClientFollow.java
* Description:
* @author dsc
* @date 2020年6月8日
* @version 1.0
*/
package cn.timer.api.bean.crm;

import java.util.Date;

import javax.persistence.*;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * Title: CrmClientFollow.java
 *
 * @Description:
 * @author dsc
 * @date 2020年6月8日
 * @version 1.0
 */

@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "crm_client_follow")
@ApiModel("客户数据跟进表")
public class CrmClientFollow extends Model<CrmClientFollow> {

	private static final long serialVersionUID = -7362549097557018582L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;

	@ApiModelProperty(value = "客户数据id")
	private Integer cid;

	@ApiModelProperty(value = "跟进内容")
	private String content;

	@ApiModelProperty(value = "客户数据状态 0-无 1-潜在 2-意向 3-签约 4-合作中 5-已封档")
	private Integer clientStatus;

	@ApiModelProperty(value = "联系人姓名")
	private String name;

	@ApiModelProperty(value = "联系人公司")
	private String company;

	@ApiModelProperty(value = "联系人职位")
	private String position;

	@ApiModelProperty(value = "联系人手机号")
	private String cellphone;

	@ApiModelProperty(value = "创建人")
	private Integer createUser;

	@ApiModelProperty(value = "企业id")
	private Integer orgCode;

	@ApiModelProperty(value = "创建人姓名")
	private String createUserName;

	@TableField(fill = FieldFill.INSERT)
	@ApiModelProperty(value = "创建时间")
	private Date createTime;

	@Transient
	@TableField(exist = false)
	@ApiModelProperty(value = "下次提醒时间")
	private String remindTime;

}
