package cn.timer.api.bean.crm;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;



/**
 * 跟进记录的颜色标识配置
 *
 * @author wgd
 * @email 862422848@qq.com
 * @date 2023-07-27 17:33:50
 */
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "crm_list_color")
@ApiModel("crm客戶列表颜色列表")
public class CrmListColor extends Model<CrmListColor> {
	private static final long serialVersionUID = 1L;

	/**
	*
	*/
	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;
	/**
	*
	*/
	private Integer crmBusinessGroup;
	/**
	* 0-无 1-潜在 2-意向 3-签约 4-合作中 5-已封档
	*/
	private Integer clientStatus;
	/**
	* 逻辑删除标记0.未删除 1.删除'
	*/
	private Integer deleteFlag;
	/**
	* 天数
	*/
	private Integer day1;
	/**
	* 颜色
	*/
	private String color1;
	/**
	* 天数
	*/
	private Integer day2;
	/**
	* 颜色
	*/
	private String color2;
	/**
	* 天数
	*/
	private Integer day3;
	/**
	* 颜色
	*/
	private String color3;

}
