package cn.timer.api.bean.crm;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;



/**
 * 提醒规则
 *
 * @author wgd
 * @email 862422848@qq.com
 * @date 2023-07-26 19:32:41
 */
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "crm_remind_rule")
@ApiModel("客户提醒规则")
public class CrmRemindRule  extends Model<CrmRemindRule> {
	private static final long serialVersionUID = 1L;

	/**
	*
	*/
	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;
	/**
	* crm_business_group_member
	*/
	private Integer crmGroupMember;
	/**
	* 客户id
	*/
	private Integer crmClientId;
	/**
	* 提醒天数：YYYY-MM-DD
	*/
	private String remindDay;
	/**
	* 创建时间
	*/
	private Date createTime;

	private Integer remindNum;
	@ApiModelProperty(value="逻辑删除标记0.未删除 1.删除",example="0")
	private Integer deleteFlag;

	private Integer orgCode;

	private String userName;

}
