/**
* Title: CrmRuleController.java
* Description:
* @author dsc
* @date 2020年6月11日
* @version 1.0
*/
package cn.timer.api.controller.crm.task;

import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUnit;
import cn.hutool.core.date.DateUtil;
import cn.timer.api.bean.admin.AdminAssoTxjlb;
import cn.timer.api.bean.crm.CrmClientAssociate;
import cn.timer.api.bean.crm.CrmClientData;
import cn.timer.api.bean.crm.CrmRemindRule;
import cn.timer.api.bean.crm.CrmSeaRule;
import cn.timer.api.dao.crm.CrmRemindRuleMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.Date;
import java.util.List;

/**
 * Title: CrmRuleController.java
 *
 * @Description: 公海规则
 * @author dsc
 * @date 2020年6月11日
 * @version 1.0
 */

@Configuration      //1.主要用于标记配置类，兼备Component的效果。 // 2.开启定时任务
@Slf4j
public class CrmRuleTaskTiming {
	@Autowired
	private CrmRemindRuleMapper crmRemindRuleMapper;

	//提醒时间到了
	@Scheduled(cron = "0/1 * * * * ?") // 每小时扫描
	@Transactional
	public void getTimeRules() {
		String today=DateUtil.today();
		List<CrmRemindRule> crmRemindRuleList = crmRemindRuleMapper.selectCrmRemindRuleList(today);
		if(crmRemindRuleList!=null&&crmRemindRuleList.size()>0){
			//发送系统通知
			crmRemindRuleList.forEach(v->{
				AdminAssoTxjlb adminAssoTxjlb = AdminAssoTxjlb.builder().build();
				adminAssoTxjlb.setEmpNum(v.getCrmGroupMember());
				adminAssoTxjlb.setOrgCode(v.getOrgCode());
				adminAssoTxjlb.setUserName(v.getUserName());
				adminAssoTxjlb.setTxType(1);
				adminAssoTxjlb.setTxstate(0);
				adminAssoTxjlb.setContent("您有一位客户["+v.getUserName()+"]需要跟进");
				adminAssoTxjlb.setAddtime(new Date().getTime());
				adminAssoTxjlb.insert();
				v.setDeleteFlag(1);
				v.updateById();
			});
		}
	}

}
